Bug 227760 - [Nicosia] Canvas animations don't work with threaded rendering
Summary: [Nicosia] Canvas animations don't work with threaded rendering
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Miguel Gomez
URL:
Keywords: InRadar
Depends on:
Blocks: GTK4
  Show dependency treegraph
 
Reported: 2021-07-07 11:49 PDT by Alexander Mikhaylenko
Modified: 2022-05-09 03:55 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.05 KB, patch)
2022-05-05 05:44 PDT, Miguel Gomez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Mikhaylenko 2021-07-07 11:49:15 PDT
Test cases: all of the examples in https://developer.mozilla.org/en-US/docs/Web/API/Canvas_API/Tutorial/Basic_animations

I can reproduce it with GTK4 WebKitGTK build, but it works with `WEBKIT_NICOSIA_PAINTING_THREADS=0` or GTK3.
Comment 1 Radar WebKit Bug Importer 2021-07-14 11:50:15 PDT
<rdar://problem/80588913>
Comment 2 Miguel Gomez 2022-05-05 05:44:04 PDT
Created attachment 458868 [details]
Patch
Comment 3 Adrian Perez 2022-05-09 03:47:16 PDT
Comment on attachment 458868 [details]
Patch

The mac-wk1 EWS failure is unrelated, FWIW.
Comment 4 EWS 2022-05-09 03:55:22 PDT
Committed r293971 (250409@main): <https://commits.webkit.org/250409@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 458868 [details].